%global momorel 2
Summary: enhanced gettext po file editor
Name: gtranslator
Version: 1.9.5
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.tar.bz2 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gtranslator.sourceforge.net/
Prereq: GConf
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: GConf2-devel
BuildPrereq: gtksourceview2-devel
BuildPrereq: glib2-devel
BuildPrereq: gdl-devel
BuildPrereq: gtkspell-devel
BuildPrereq: libsoup-devel
BuildPrereq: gnome-utils-devel
BuildPrereq: gucharmap-devel
BuildPrereq: apr-devel
BuildPrereq: apr-util-devel
BuildPrereq: neon-devel
BuildPrereq: subversion-devel >= 1.6.3-2m

%description

Gtranslator is an enhanced gettext po file editor for the GNOME
desktop environment. It handles all forms of gettext po files and
include very useful features like Find/Replace, Translation Memory,
different Translator Profiles, Messages Table (for having an overview
of the translations/messages in the po file), Easy Navigation and
Editing of translation messages & comments of the translation where
accurate. Gtranslator includes also a plugin system with many
interesting plugins like Alternate Language, Insert Tags, Open Tran,
Integration with Subversion, Source Code Viewer ...

%package devel
Summary: gEdit include files for plugins.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtksourceview2-devel

%description devel
gEdit plugins include files.

%prep
%setup -q
# some file is new timestamp
touch ./*

%build
%configure --enable-static=no \
    --disable-scrollkeeper \
    --enable-gtk-doc \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install UPDATE_DESKTOP=:

%clean
rm -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications
rarian-sk-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gtranslator.schemas \
    >& /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gtranslator.schemas \
	>& /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gtranslator.schemas \
	>& /dev/null || :
fi

%postun
update-desktop-database %{_datadir}/applications
rarian-sk-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog DEPENDS HACKING NEWS README TODO
%{_sysconfdir}/gconf/schemas/gtranslator.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_includedir}/gtranslator-2.0
%{_libdir}/pkgconfig/gtranslator.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon Aug  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.5-2m)
- rebuild against subversion-1.6.3-2m

* Sat Apr 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.5-1m)
- initial build
